/* $Header: /HBFontEdit/FontCvt.h 3     15-11-96 8:26 Bert $ */
/* $Nokeywords: $ */


////////////////
// FontCvt.h
#ifndef __FONTCVT_H__
#define __FONTCVT_H__


#include "FontTypes.h"

extern LONG lSizeOfOldFontHeader;				// Old packed header size.              
extern LONG lSizeOfOldFontHeader30;				// Old 3.0 packed header size.  
extern LONG lSizeOfOldGlyph20;					// Old packed 2.0 glyph info size. 
extern LONG lSizeOfOldGlyph30;                  // Old packed 3.0 glyph info size. 


typedef struct tagStructDefineInfo
{
    INT     cTypeSize;          // Size of type. (ex. sizeof (int)).
    INT     cActualSize;        // Actual size (ex. sizeof (cTypeSize)).
    INT     oPackedAlign;      	// Offset of element in PACKED alginment.
    INT     oWordAlign;        	// Offset of element in WORD alginment.
    INT     oDWordAlign;       	// Offset of element in DWORD alginment.
} SDI, * PSDI;

/*------ fontcvt.c --------*/

BOOL
fConvStructInit ();

VOID
vFontStructFromBuffer (
             PBYTE           pjSourceBuff,
            FontHeaderType  *pfhDestFHStruct
        );

VOID
vBufferFromFontStruct (
             FontHeaderType  *pfhSourceFHStruct,
            PBYTE           pjDestBuff
        );

VOID
vBufferFromFont30Struct (
             FontHeader30    *pfh3SourceFH3Struct,
            PBYTE           pjDestBuff
        );

VOID
vGlyphInfo20FromBuffer (
             PBYTE           pjSourceBuff,
            GLYPHINFO_20   *pgi2DestGI2Struct
        );

VOID
vGlyphInfo30FromBuffer (
             PBYTE           pjSourceBuff,
            GLYPHINFO_30   *pgi3DestGI3Struct
        );

VOID
vBufferFromGlyphInfo20 (
             GLYPHINFO_20    *pgi2SrcGI2Struct,
            PBYTE           pjDestBuff
        );

VOID
vBufferFromGlyphInfo30 (
             GLYPHINFO_30    *pgi3SrcGI3Struct,
            PBYTE           pjDestBuff
        );

#endif



