/* $Header: /HBFontEdit/fontvars.h 7     15-11-96 18:25 Bert $ */
/* $Nokeywords: $ */

// fontvars.h
////////////////////////
// vars in FontEdit.c
#ifndef __FONTVARS_H__
#define __FONTVARS_H__

#include "FontTypes.h"
//#define CSTRINGS                   75   // total number of strings in resource file

extern FARPROC lpHeaderProc;					// Pointer to Dialog Box Procedure 
extern FARPROC lpReSizeProc;					// Pointer to Dialog Box Procedure 
extern FARPROC lpWidthProc;						// Pointer to Dialog Box Procedure 

extern FontType font;						// Structure of Font File Header 
extern CHAR szFontFile[];						// Name of Font File 
extern CHAR szFontFileFull[];					// Name of Font File 
extern CHAR szNewFile[];						// Temporary Name 
extern BOOL NewFile;							// flag indicating if file was opened
												//    by selecting NEW menu item 
//extern HCURSOR hCross;							// handle to a "+" shaped cursor 
extern HANDLE hInst;							// Handle to Window Instance 
extern HANDLE hgPrev;
extern INT  swH;								// Position in Show Window 0-100 
extern BYTE iChar;								// Character being edited 
extern BYTE jChar;								// Last Char. of edit block 
//extern CHAR szFaceName[szNamesMax];				// Face Name of Font 
//extern DWORD offsets[257];						// Offsets Table 
//extern CHAR *vrgsz[CSTRINGS];					// string table // In FontEdit.h

extern BOOL fChanged;							// Note if we did anything 
//extern BOOL fLoaded;							// Set if a font is loaded 
extern BOOL fEdited;							// Character was edited 
//extern INT  iFontFormat;						// Set to id of current font format 
//extern BOOL fReadOnly;

extern HWND hBox;								// Handle to Edit Window 
extern HWND hFont;								// Handle to Show window 
//extern HDC hMemDC;								// Handle to Memory Display Context 
//extern HBITMAP hBitmap;							// Handle to our work bit map 

//extern CHAR matBox [wBoxLim] [kBoxLim];			// array to hold Box 
extern DWORD wBox;								// Width of Character(s) 
extern DWORD kBox;								// Height of Characters 
extern DWORD kStuff;							// Height of font window caption etc. 

//extern OFSTRUCT ofstrFile;						// holds info of file - filled in by dlgopen/save 
#define MAX_STR_LEN 256
extern CHAR    szAppName[MAX_STR_LEN];
extern CHAR    szIFN[MAX_STR_LEN];				// illegal filename 
extern CHAR    szFNF[MAX_STR_LEN];				// file not found   
extern CHAR    szREF[MAX_STR_LEN];				// replace existing file 
extern CHAR    szSCC[MAX_STR_LEN];				// save current changes 
extern CHAR    szEOF[MAX_STR_LEN];				// error opening file 
extern CHAR    szECF[MAX_STR_LEN];				// error creating file 
extern CHAR    szFRO[MAX_STR_LEN];				// error creating file 
extern CHAR    szExt[MAX_STR_LEN];				// .FNT 
extern CHAR    szExtDesc[MAX_STR_LEN];			// Font Files(.FNT) 
extern CHAR    szNEWFONT[MAX_STR_LEN];			// Font Files(.FNT) 
extern CHAR    szFilter[MAX_STR_LEN];			// Font Files(.FNT) 


// size of system font 
extern INT     cSysWidth;
//extern INT     cSysHeight;

void ResizeShow(void);
void ScrollFont(void);
void CharToBox(BYTE);
void FontRename(CHAR *);
void BoxToChar(BYTE);
DWORD GetkStuff(void);
LONG  APIENTRY FontShowWndProc(HWND, WORD, WPARAM, LONG);

#define WHITE  0xFFFFFF
#define BLACK  0x000000


#endif
